## python-urllib3 1.11

=== Makefile ===
REQUIREMENTS_FILE=dev-requirements.txt
REQUIREMENTS_OUT=dev-requirements.txt.log
SETUP_OUT=*.egg-info


all: setup requirements

virtualenv:
ifndef VIRTUAL_ENV
	$(error Must be run inside of a virtualenv)
endif

setup: virtualenv $(SETUP_OUT)

$(SETUP_OUT): setup.py setup.cfg
	python setup.py develop
	touch $(SETUP_OUT)

requirements: setup $(REQUIREMENTS_OUT)

piprot: setup
	pip install piprot
	piprot -x $(REQUIREMENTS_FILE)

$(REQUIREMENTS_OUT): $(REQUIREMENTS_FILE)
	pip install -r $(REQUIREMENTS_FILE) | tee -a $(REQUIREMENTS_OUT)
	python setup.py develop

clean:
	find . -name "*.py[oc]" -delete
	find . -name "__pycache__" -delete
	rm -f $(REQUIREMENTS_OUT)
	rm -rf docs/_build
	rm -rf build/

test: requirements
	nosetests

test-all: requirements
	tox

test-gae: requirements
	tox -e gae

docs:
	cd docs && pip install -r doc-requirements.txt && make html

release:
	./release.sh


.PHONY: docs

## python-urllib3 1.3

=== debian/changelog ===
python-urllib3 (1.3-3) unstable; urgency=low

  * debian/control
    - Added ca-certificates to Recommends field
  * debian/patches/02_require-cert-verification.patch
    - require SSL certificate validation by default by using
      CERT_REQUIRED and using the system
      /etc/ssl/certs/ca-certificates.crt.
      Thanks to Jamie Strandboge for report and patch
      (Closes: #686872)

 -- Daniele Tricoli <eriol@mornie.org>  Mon, 10 Sep 2012 14:33:35 +0200

python-urllib3 (1.3-2) unstable; urgency=low

  * debian/control
    - Tightened B-D of python-coverage to >= 3.4 (Closes: #668427)
    - Fixed typo in python3-urllib3's ${python3:Depends}
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refreshed
  * debian/rules
    - Actually remove the embedded python-six from binary packages
    - Cleaned .egg-info to build packages twice in a row

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 17 Apr 2012 21:34:49 +0200

python-urllib3 (1.3-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - Bumped Standards-Version to 3.9.3 (no changes needed)
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refreshed

 -- Daniele Tricoli <eriol@mornie.org>  Thu, 29 Mar 2012 02:09:04 +0200

python-urllib3 (1.2.2-1) unstable; urgency=low

  * Initial release (Closes: #648783)

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 10 Feb 2012 04:41:11 +0100

=== debian/control ===
Source: python-urllib3
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@mornie.org>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 7.0.50~),
 python-all (>= 2.6.6-3),
 python-coverage (>= 3.4),
 python-nose (>=1.1.2),
 python-setuptools (>= 0.6b3),
 python-six,
 python-tornado,
 python3-all
Standards-Version: 3.9.3
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
Homepage: http://urllib3.readthedocs.org
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-urllib3/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-urllib3/trunk/

Package: python-urllib3
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 python-six
Recommends:
 ca-certificates
Description: HTTP library with thread-safe connection pooling for Python
 urllib3 supports features left out of urllib and urllib2 libraries.
 .
   - Re-use the same socket connection for multiple requests (HTTPConnectionPool
     and HTTPSConnectionPool) (with optional client-side certificate
     verification).
   - File posting (encode_multipart_formdata).
   - Built-in redirection and retries (optional).
   - Supports gzip and deflate decoding.
   - Thread-safe and sanity-safe.
   - Small and easy to understand codebase perfect for extending and
     building upon.

Package: python3-urllib3
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-six
Recommends:
 ca-certificates
Description: HTTP library with thread-safe connection pooling for Python3
 urllib3 supports features left out of urllib and urllib2 libraries.
 .
   - Re-use the same socket connection for multiple requests (HTTPConnectionPool
     and HTTPSConnectionPool) (with optional client-side certificate
     verification).
   - File posting (encode_multipart_formdata).
   - Built-in redirection and retries (optional).
   - Supports gzip and deflate decoding.
   - Thread-safe and sanity-safe.
   - Small and easy to understand codebase perfect for extending and
     building upon.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export PYTHONWARNINGS=d

PYVERS := $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)

%:
	dh $@ --with python2,python3 --buildsystem=python_distutils

override_dh_auto_configure:
	rm -f urllib3/packages/six.py

override_dh_auto_build:
	set -ex; \
	for python in $(PYVERS) $(PY3VERS); do \
		$$python setup.py build; \
	done

override_dh_auto_clean:
	rm -rf build
	rm -f .coverage
	rm -rf *.egg-info
	dh_auto_clean

override_dh_auto_install:
	set -ex; \
	for python in $(PYVERS); do \
		$$python setup.py install --skip-build --root debian/python-urllib3 \
			--install-layout deb; \
	done

	set -ex; \
	for python in $(PY3VERS); do \
		$$python setup.py install --skip-build --root debian/python3-urllib3 \
			--install-layout deb; \
	done

	# Remove dummyserver/ tests to not pollute namespace.
	rm -rf debian/python*-urllib3/usr/lib/python*/dist-packages/dummyserver

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Python3 testing is not possible at the moment because missing
	# dependencies: python3-coverage.
	set -ex; \
	for python in $(PYVERS); do \
		$$python /usr/bin/nosetests; \
	done
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/u/urllib3/urllib3-(.*)\.tar\.gz

## python-urllib3 1.5

=== debian/changelog ===
python-urllib3 (1.5-0ubuntu1~cloud0) precise-grizzly; urgency=low

  * New build dependency for the Ubuntu Cloud Archive.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 28 Jan 2013 14:29:17 -0600

python-urllib3 (1.5-0ubuntu1) raring; urgency=low

  * New upstream release.  Remaining changes:
    - 01_do-not-use-embedded-python-six.patch: refreshed
    - 02_require-cert-verification.patch: refreshed
    - 03-fix-appenginge.patch: removed

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 01 Nov 2012 15:31:36 +0100

python-urllib3 (1.3-2ubuntu2) quantal; urgency=low

  * debian/patches/03-fix-appenginge.patch: Backport appengine from requests. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 07 Sep 2012 09:40:00 -0500

python-urllib3 (1.3-2ubuntu1) quantal; urgency=low

  * debian/patches/02_require-cert-verification.patch: verify SSL certificates
    by default (LP: #1047054)

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 06 Sep 2012 16:15:29 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-urllib3
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Daniele Tricoli <eriol@mornie.org>
 Section: python
 Priority: optional
@@ -25,8 +26,6 @@
  ${misc:Depends},
  ${python:Depends},
  python-six
-Recommends:
- ca-certificates
 Description: HTTP library with thread-safe connection pooling for Python
  urllib3 supports features left out of urllib and urllib2 libraries.
  .
@@ -46,8 +45,6 @@
  ${misc:Depends},
  ${python3:Depends},
  python3-six
-Recommends:
- ca-certificates
 Description: HTTP library with thread-safe connection pooling for Python3
  urllib3 supports features left out of urllib and urllib2 libraries.
  .

## python-urllib3 1.6

=== debian/changelog ===
python-urllib3 (1.6-2~cloud0) precise-havana; urgency=low

  * New update for the Ubuntu Cloud Archive.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 30 May 2013 12:33:09 -0500

python-urllib3 (1.6-2) unstable; urgency=high

  * debian/patches/06_fix_abuse_of_match_hostname_for_DoS.patch
    - Added upstream patch to fix possible abuse of ssl.match_hostname()
      for denial of service using certificates with many wildcards
      (CVE-2013-2099) (Closes: #709070) Thanks Henri Salo and Jakub
      Wilk for the report

 -- Daniele Tricoli <eriol@mornie.org>  Mon, 20 May 2013 19:34:17 +0200

python-urllib3 (1.6-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Daniele Tricoli ]
  * New upstream release
  * Upload to unstable (Closes: #707780)
  * debian/control
    - Added python3-six to Build-Depends field
    - Bumped debhelper dependency to 8.1 for build-{arch,indep} support
    - Removed python-setuptools from Build-Depends field
  * debian/copyright
    - Updated copyright years
    - Added stanza for urllib3/packages/ordered_dict.py
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refreshed
  * debian/patches/02_require-cert-verification.patch
    - Refreshed
  * debian/patches/03_no-setuptools.patch
    - Do not use setuptools
  * debian/patches/04_relax_nosetests_options.patch
    - Do not use logging-clear-handlers to see all logging output and
      disabled cover-min-percentage since it require python-nose (>= 1.3):
      this way it will be easier to backport python-urllib3 to Wheezy.
  * debian/patches/05_fix_python3_syntax_error_in_ntlmpool.patch
    - Fix syntax error 'unicodeescape' codec can't decode bytes in
      position 130-132 for Python3

 -- Daniele Tricoli <eriol@mornie.org>  Sat, 11 May 2013 15:15:38 +0200

python-urllib3 (1.5-1) experimental; urgency=low

  * New upstream release
  * debian/control
    - Bumped Standards-Version to 3.9.4 (no changes needed)
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refreshed
  * debian/rules
    - Run tests only for python2.7 since upstream is using
      assertRaises() as a context manager

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 09 Nov 2012 04:23:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: python-urllib3
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Daniele Tricoli <eriol@mornie.org>
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 8.1),
  python-all (>= 2.6.6-3),
  python-coverage (>= 3.4),
  python-nose (>=1.1.2),
- python-setuptools (>= 0.6b3),
  python-six,
  python-tornado,
- python3-all
-Standards-Version: 3.9.3
+ python3-all,
+ python3-six,
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Homepage: http://urllib3.readthedocs.org
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-urllib3/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-urllib3/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-urllib3/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-urllib3/trunk/
 
 Package: python-urllib3
 Architecture: all
@@ -26,6 +25,8 @@
  ${misc:Depends},
  ${python:Depends},
  python-six
+Recommends:
+ ca-certificates
 Description: HTTP library with thread-safe connection pooling for Python
  urllib3 supports features left out of urllib and urllib2 libraries.
  .
@@ -45,6 +46,8 @@
  ${misc:Depends},
  ${python3:Depends},
  python3-six
+Recommends:
+ ca-certificates
 Description: HTTP library with thread-safe connection pooling for Python3
  urllib3 supports features left out of urllib and urllib2 libraries.
  .

=== debian/rules ===
--- 
+++ 
@@ -43,10 +43,9 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# Python3 testing is not possible at the moment because missing
 	# dependencies: python3-coverage.
-	set -ex; \
-	for python in $(PYVERS); do \
-		$$python /usr/bin/nosetests; \
-	done
+	# Upstream is using a python2.7 features: assertRaises() as a context
+	# manager
+	set -ex; python2.7 /usr/bin/nosetests
 endif
 
 override_dh_installchangelogs:

## python-urllib3 1.7.1

=== debian/changelog ===
python-urllib3 (1.7.1-1~bpo70+1) wheezy-backports; urgency=high

  * Backport to wheezy-backports.
  * Add myself to Uploaders.

 -- Micah Anderson <micah@debian.org>  Tue, 29 Oct 2013 11:53:21 -0400

python-urllib3 (1.7.1-1) unstable; urgency=low

  * New upstream release
  * Switched to pybuild
  * debian/clean
    - Switched to debian/clean for cleaning instead of using debian/rules
  * debian/compat
    - Bumped debhelper compatibility level to 9
  * debian/control
    - Added python-mock to Build-Depends
    - Bumped debhelper B-D to (>= 9)
  * debian/copyright
    - Removed stanza about mimetools_choose_boundary since not shipped
      anymore
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refreshed
  * debian/patches/02_require-cert-verification.patch
    - Refreshed
  * debian/patches/04_relax_nosetests_options.patch
    - Refreshed
  * debian/patches/05_fix_python3_syntax_error_in_ntlmpool.patch
    - Removed since fixed upstream
  * debian/patches/06_fix_abuse_of_match_hostname_for_DoS.patch
    - Removed since fixed upstream
  * debian/watch
    - Switched download URL to https

 -- Daniele Tricoli <eriol@mornie.org>  Thu, 17 Oct 2013 13:28:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: python-urllib3
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Daniele Tricoli <eriol@mornie.org>
+Uploaders: Daniele Tricoli <eriol@mornie.org>,
+ Micah Anderson <micah@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 8.1),
+ debhelper (>= 9),
+ dh-python,
  python-all (>= 2.6.6-3),
  python-coverage (>= 3.4),
+ python-mock,
  python-nose (>=1.1.2),
  python-six,
  python-tornado,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python2=debian/python-urllib3/
export PYBUILD_DESTDIR_python3=debian/python3-urllib3/
export PYTHONWARNINGS=d


%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_configure:
	rm -f urllib3/packages/six.py

override_dh_auto_install:
	dh_auto_install
	# Remove dummyserver/ tests to not pollute namespace.
	rm -rf debian/python*-urllib3/usr/lib/python*/dist-packages/dummyserver

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Python3 testing is not possible at the moment because missing
	# dependencies: python3-coverage.
	# Upstream is using a python2.7 features: assertRaises() as a context
	# manager
	set -ex; python2.7 /usr/bin/nosetests
endif

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

## python-urllib3 1.8.3

=== debian/changelog ===
python-urllib3 (1.8.3-1) unstable; urgency=medium

  * New upstream release (Closes: #754090)
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refresh
  * debian/patches/04_relax_nosetests_options.patch
    - Refresh

 -- Daniele Tricoli <eriol@mornie.org>  Mon, 07 Jul 2014 16:09:06 +0200

python-urllib3 (1.8.2-1) unstable; urgency=medium

  * New upstream release
  * debian/clean
    - Removed .coverage entry
  * debian/control
    - Added python3-coverage, python3-mock, python3-nose to Build-Depends
    - Bumped python(3)-coverage to (>=3.6)
    - Removed python-tornado from Build-Depends since it was used only for
      dummyserver
  * debian/copyright
    - Updated copyright years
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refreshed
  * debian/patches/02_require-cert-verification.patch
    - Refreshed
  * debian/patches/03_no-setuptools.patch
    - Superseded by debian/patches/setuptools.patch
  * debian/patches/03_force-setuptools.patch
    - Renamed from setuptools.patch
    - Added description
  * debian/patches/05_do-not-use-embedded-ssl-match-hostname.patch
    - Do not use embedded copy of ssl.match_hostname
  * debian/patches/06_relax-test-requirements.patch
    - Relax version of packages needed for testing
  * debian/rules
    - Enabled tests at build time also for Python 3 using the custom build
      plugin of pybuild
    - Cleaned .coverage file generated by nose using coverage plugin
    - No need to remove dummyserver since it is not installed anymore

 -- Daniele Tricoli <eriol@mornie.org>  Wed, 28 May 2014 19:41:18 +0200

python-urllib3 (1.8-2) unstable; urgency=medium

  * Team upload.
  * d/control: 
    - Fix python-urllib3-whl Depends.
    - Fix typo in python-urllib3-whl description.

 -- Barry Warsaw <barry@debian.org>  Thu, 22 May 2014 18:19:16 -0400

python-urllib3 (1.8-1) unstable; urgency=medium

  * Team upload.

  [ Daniele Tricoli ]
  * New upstream release
  * debian/control
    - Bumped Standards-Version to 3.9.5 (no changes needed)
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refreshed
  * debian/patches/02_require-cert-verification.patch
    - Refreshed

  [ Barry Warsaw ]
  * d/control:
    - Added python-setuptools, python3-setuptools, and python3-wheel to
      Build-Depends.
    - Added python-urllib3-whl binary package.
  * d/rules:
    - Build the universal wheels.
    - Simplify through use of PYBUILD_NAME.
  * d/python-urllib3-whl.install: Added.
  * d/patches/setuptools.patch: Use setuptools.setup() so that the
    bdist_wheel command will work.

 -- Barry Warsaw <barry@debian.org>  Thu, 15 May 2014 17:21:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: python-urllib3
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Daniele Tricoli <eriol@mornie.org>,
- Micah Anderson <micah@debian.org>
+Uploaders: Daniele Tricoli <eriol@mornie.org>
 Section: python
 Priority: optional
 Build-Depends:
  debhelper (>= 9),
  dh-python,
  python-all (>= 2.6.6-3),
- python-coverage (>= 3.4),
+ python-coverage (>= 3.6),
  python-mock,
  python-nose (>=1.1.2),
+ python-setuptools,
  python-six,
- python-tornado,
  python3-all,
+ python3-coverage (>= 3.6),
+ python3-mock,
+ python3-nose (>=1.1.2),
+ python3-setuptools,
  python3-six,
-Standards-Version: 3.9.4
+ python3-wheel,
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Homepage: http://urllib3.readthedocs.org
@@ -65,3 +69,26 @@
      building upon.
  .
  This package contains the Python 3 version of the library.
+
+Package: python-urllib3-whl
+Architecture: all
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ python-six-whl
+Recommends:
+ ca-certificates
+Description: HTTP library with thread-safe connection pooling
+ urllib3 supports features left out of urllib and urllib2 libraries.
+ .
+   - Re-use the same socket connection for multiple requests (HTTPConnectionPool
+     and HTTPSConnectionPool) (with optional client-side certificate
+     verification).
+   - File posting (encode_multipart_formdata).
+   - Built-in redirection and retries (optional).
+   - Supports gzip and deflate decoding.
+   - Thread-safe and sanity-safe.
+   - Small and easy to understand codebase perfect for extending and
+     building upon.
+ .
+ This package contains the universal wheel.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=urllib3
export PYTHONWARNINGS=d

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_configure:
	rm -f urllib3/packages/six.py

override_dh_auto_install:
	dh_auto_install
	python3 setup.py bdist_wheel \
		--universal \
		-d $(CURDIR)/debian/tmp/usr/share/python-wheels

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {build_dir}; {interpreter} -m nose {dir}/test --with-coverage" dh_auto_test
	# Clean here .coverage because it is created by nose using the coverage
	# plugin
	find . -name .coverage -delete

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

## python-urllib3 1.9.1

=== debian/changelog ===
python-urllib3 (1.9.1-3) unstable; urgency=medium

  [ Stefano Rivera ]
  * Replace 05_do-not-use-embedded-ssl-match-hostname.patch with
    05_avoid-embedded-ssl-match-hostname.patch. Users may use virtualenv with
    cPython << 2.7.9 (or Debian python2.7 2.7.8-7). (Closes: #755106, #763389)

  [ Daniele Tricoli ]
  * debian/patches/06_do-not-make-SSLv3-mandatory.patch
    - Since SSL version 3 is insecure it is supported only if Python
      supports it. (Closes: #770246)

 -- Daniele Tricoli <eriol@mornie.org>  Thu, 20 Nov 2014 13:17:59 +0100

python-urllib3 (1.9.1-2) unstable; urgency=medium

  * debian/control
    - Bump python{,3}-nose to >=1.3.3 to build urllib3 on Wheezy. Thanks to
      Nick Phillips for the report. (Closes: #765035)

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 21 Oct 2014 02:59:57 +0200

python-urllib3 (1.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 3.9.6 (no changes needed).
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refresh.
  * debian/patches/05_do-not-use-embedded-ssl-match-hostname.patch
    - Refresh.
  * debian/patches/06_add-test-init-py.patch
    - Remove since fixed upstream.
  * debian/rules
    - Exclude with_dummyserver tests since they are also failing upstream.

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 23 Sep 2014 04:28:42 +0200

python-urllib3 (1.9-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Add python-ndg-httpsclient, python-openssl and python-pyasn1 into
      python-urllib3's Recomends to ensure that SNI works as expected and to
      prevent CRIME attack
    - Add python3-ndg-httpsclient, python3-openssl and python3-pyasn1 into
      python3-urllib3's Suggests since Python 3 already support SNI and
      and SSL compression can be disabled using OP_NO_COMPRESSION
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refresh
  * debian/patches/02_require-cert-verification.patch
    - Refresh
  * debian/patches/05_do-not-use-embedded-ssl-match-hostname.patch
    - Refresh
  * debian/patches/06_relax-test-requirements.patch
    - Remove since upstream now does not specify version of packages needed
      for testing inside setup.py
  * debian/patches/06_add-test-init-py.patch
    - Add needed test/__init__.py file not shipped in sdist

 -- Daniele Tricoli <eriol@mornie.org>  Mon, 01 Sep 2014 02:56:44 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,9 @@
 		-d $(CURDIR)/debian/tmp/usr/share/python-wheels
 
 override_dh_auto_test:
+	# Exclude dummyserver tests since they are also failing upstream.
 	PYBUILD_SYSTEM=custom \
-	PYBUILD_TEST_ARGS="cd {build_dir}; {interpreter} -m nose {dir}/test --with-coverage" dh_auto_test
+	PYBUILD_TEST_ARGS="cd {build_dir}; {interpreter} -m nose {dir}/test --with-coverage -e with_dummyserver" dh_auto_test
 	# Clean here .coverage because it is created by nose using the coverage
 	# plugin
 	find . -name .coverage -delete

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/u/urllib3/urllib3-(.*)\.tar\.gz

## python-urllib3 1.10.4

=== debian/changelog ===
python-urllib3 (1.10.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch
    - Use pypi.debian.net redirector.
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refresh.

 -- Daniele Tricoli <eriol@mornie.org>  Sun, 03 May 2015 17:18:55 +0200

python-urllib3 (1.10-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refresh.
  * debian/patches/06_do-not-make-SSLv3-mandatory.patch
    - Remove since it was merged upstream.

 -- Daniele Tricoli <eriol@mornie.org>  Thu, 15 Jan 2015 22:58:53 +0100

## python-urllib3 1.11

=== debian/changelog ===
python-urllib3 (1.11-1~cloud1) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 16 Sep 2015 09:21:41 +0000

python-urllib3 (1.11-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Add python{,3}-tornado to Build-Depends.
    - Add python-ntlm to python-urllib3's Suggests.
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refresh.

 -- Daniele Tricoli <eriol@mornie.org>  Mon, 17 Aug 2015 18:51:43 +0200

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,19 @@
  python-all (>= 2.6.6-3),
  python-coverage (>= 3.6),
  python-mock,
- python-nose (>=1.1.2),
+ python-nose (>=1.3.3),
  python-setuptools,
  python-six,
+ python-tornado,
  python3-all,
  python3-coverage (>= 3.6),
  python3-mock,
- python3-nose (>=1.1.2),
+ python3-nose (>=1.3.3),
  python3-setuptools,
  python3-six,
+ python3-tornado,
  python3-wheel,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Homepage: http://urllib3.readthedocs.org
@@ -33,7 +35,12 @@
  ${python:Depends},
  python-six
 Recommends:
- ca-certificates
+ ca-certificates,
+ python-ndg-httpsclient,
+ python-openssl,
+ python-pyasn1
+Suggests:
+ python-ntlm
 Description: HTTP library with thread-safe connection pooling for Python
  urllib3 supports features left out of urllib and urllib2 libraries.
  .
@@ -55,6 +62,10 @@
  python3-six
 Recommends:
  ca-certificates
+Suggests:
+ python3-ndg-httpsclient,
+ python3-openssl,
+ python3-pyasn1
 Description: HTTP library with thread-safe connection pooling for Python3
  urllib3 supports features left out of urllib and urllib2 libraries.
  .

## python-urllib3 1.12

=== debian/changelog ===
python-urllib3 (1.12-1~bpo8+1~nd+1) sid; urgency=medium

  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 18 Oct 2016 21:54:53 -0400

python-urllib3 (1.12-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Nov 2015 10:26:55 +0100

python-urllib3 (1.12-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Update Vcs fields for git migration.
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refresh.
  * debian/patches/06_rely-on-six-to-import-httplib-or-http.client.patch
    - Remove since included in this release.

 -- Daniele Tricoli <eriol@mornie.org>  Sun, 11 Oct 2015 03:31:25 +0200

python-urllib3 (1.11-2) unstable; urgency=medium

  * debian/patches/06_rely-on-six-to-import-httplib-or-http.client.patch
    - Rely on six to import httplib or http.client. Thanks to Edward Betts
      for the report. (Closes: #796356)

 -- Daniele Tricoli <eriol@mornie.org>  Sun, 23 Aug 2015 21:19:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-urllib3
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Daniele Tricoli <eriol@mornie.org>
 Section: python
 Priority: optional
@@ -25,12 +26,12 @@
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Homepage: http://urllib3.readthedocs.org
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-urllib3/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-urllib3/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-urllib3.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-urllib3.git
 
 Package: python-urllib3
 Architecture: all
-Depends:
+Depends: neurodebian-popularity-contest, 
  ${misc:Depends},
  ${python:Depends},
  python-six
@@ -56,7 +57,7 @@
 
 Package: python3-urllib3
 Architecture: all
-Depends:
+Depends: neurodebian-popularity-contest, 
  ${misc:Depends},
  ${python3:Depends},
  python3-six
@@ -83,7 +84,7 @@
 
 Package: python-urllib3-whl
 Architecture: all
-Depends:
+Depends: neurodebian-popularity-contest, 
  ${misc:Depends},
  ${python3:Depends},
  python-six-whl

## python-urllib3 1.13.1

=== debian/changelog ===
python-urllib3 (1.13.1-2) unstable; urgency=medium

  * debian/control
    - Remove python-urllib3-whl and python3-wheel B-D. (Closes: #814467)
    - Use secure URI for Vcs-Git.
    - Bump Standards-Version to 3.9.7 (no changes needed).
    - Bump X-Python3-Version to >= 3.2.
  * debian/copyright
    - Update copyright years.
  * debian/python-urllib3-whl.install
    - Remove.
  * debian/rules
    - Remove override_dh_auto_install since it's no longer needed to build the
      wheel package.

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 12 Feb 2016 01:35:42 +0100

python-urllib3 (1.13.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refresh.
  * debian/patches/05_avoid-embedded-ssl-match-hostname.patch
    - Refresh.

 -- Daniele Tricoli <eriol@mornie.org>  Wed, 23 Dec 2015 23:02:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-urllib3
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Daniele Tricoli <eriol@mornie.org>
 Section: python
 Priority: optional
@@ -21,17 +20,16 @@
  python3-setuptools,
  python3-six,
  python3-tornado,
- python3-wheel,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.0
+X-Python3-Version: >= 3.2
 Homepage: http://urllib3.readthedocs.org
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-urllib3.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-urllib3.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-urllib3.git
 
 Package: python-urllib3
 Architecture: all
-Depends: neurodebian-popularity-contest, 
+Depends:
  ${misc:Depends},
  ${python:Depends},
  python-six
@@ -57,7 +55,7 @@
 
 Package: python3-urllib3
 Architecture: all
-Depends: neurodebian-popularity-contest, 
+Depends:
  ${misc:Depends},
  ${python3:Depends},
  python3-six
@@ -81,26 +79,3 @@
      building upon.
  .
  This package contains the Python 3 version of the library.
-
-Package: python-urllib3-whl
-Architecture: all
-Depends: neurodebian-popularity-contest, 
- ${misc:Depends},
- ${python3:Depends},
- python-six-whl
-Recommends:
- ca-certificates
-Description: HTTP library with thread-safe connection pooling
- urllib3 supports features left out of urllib and urllib2 libraries.
- .
-   - Re-use the same socket connection for multiple requests (HTTPConnectionPool
-     and HTTPSConnectionPool) (with optional client-side certificate
-     verification).
-   - File posting (encode_multipart_formdata).
-   - Built-in redirection and retries (optional).
-   - Supports gzip and deflate decoding.
-   - Thread-safe and sanity-safe.
-   - Small and easy to understand codebase perfect for extending and
-     building upon.
- .
- This package contains the universal wheel.

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,6 @@
 override_dh_auto_configure:
 	rm -f urllib3/packages/six.py
 
-override_dh_auto_install:
-	dh_auto_install
-	python3 setup.py bdist_wheel \
-		--universal \
-		-d $(CURDIR)/debian/tmp/usr/share/python-wheels
-
 override_dh_auto_test:
 	# Exclude dummyserver tests since they are also failing upstream.
 	PYBUILD_SYSTEM=custom \

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/urllib3/urllib3-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-urllib3 1.15.1

=== debian/changelog ===
python-urllib3 (1.15.1-2~cloud0) xenial-newton; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 06 Jun 2016 10:30:00 +0000

python-urllib3 (1.15.1-2) unstable; urgency=medium

  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Patch urllib3.contrib.appengine and dummyserver tests. (Closes: #825310)

 -- Daniele Tricoli <eriol@mornie.org>  Thu, 26 May 2016 05:11:02 +0200

python-urllib3 (1.15.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Bump Standards-Version to 3.9.8 (no changes needed).
    - Add python{,3}-socks to Suggests.
  * debian/copyright
    - Update copyright years.
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refresh.
  * debian/rules
    - Don't run contrib socks tests at build time.
    - Exclude GAE tests. (Closes: #825168)

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 24 May 2016 16:18:22 +0200

## python-urllib3 1.16

=== debian/changelog ===
python-urllib3 (1.16-1) unstable; urgency=medium

  * New upstream release.

 -- Daniele Tricoli <eriol@mornie.org>  Sun, 04 Sep 2016 01:21:05 +0200

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
  python3-nose (>=1.3.3),
  python3-setuptools,
  python3-six,
- python3-tornado,
-Standards-Version: 3.9.7
+ python3-tornado
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: http://urllib3.readthedocs.org
@@ -39,7 +39,8 @@
  python-openssl,
  python-pyasn1
 Suggests:
- python-ntlm
+ python-ntlm,
+ python-socks
 Description: HTTP library with thread-safe connection pooling for Python
  urllib3 supports features left out of urllib and urllib2 libraries.
  .
@@ -64,7 +65,8 @@
 Suggests:
  python3-ndg-httpsclient,
  python3-openssl,
- python3-pyasn1
+ python3-pyasn1,
+ python3-socks
 Description: HTTP library with thread-safe connection pooling for Python3
  urllib3 supports features left out of urllib and urllib2 libraries.
  .

## python-urllib3 1.19.1

=== Makefile ===
REQUIREMENTS_FILE=dev-requirements.txt
REQUIREMENTS_OUT=dev-requirements.txt.log
SETUP_OUT=*.egg-info

.PHONY: all
all: setup requirements

.PHONY: virtualenv
virtualenv:
ifndef VIRTUAL_ENV
	$(error Must be run inside of a virtualenv)
endif

.PHONY: setup
setup: virtualenv $(SETUP_OUT)

.PHONY: $(SETUP_OUT)
$(SETUP_OUT): setup.py setup.cfg
	python setup.py develop
	touch $(SETUP_OUT)

.PHONY: requirements
requirements: setup $(REQUIREMENTS_OUT)

.PHONY: piprot
piprot: setup
	pip install piprot
	piprot -x $(REQUIREMENTS_FILE)

.PHONY: $(REQUIREMENTS_OUT)
$(REQUIREMENTS_OUT): $(REQUIREMENTS_FILE)
	pip install -r $(REQUIREMENTS_FILE) | tee -a $(REQUIREMENTS_OUT)
	python setup.py develop

.PHONY: clean
clean:
	find . -name "*.py[oc]" -delete
	find . -name "__pycache__" -delete
	rm -f $(REQUIREMENTS_OUT)
	rm -rf docs/_build build/ dist/

.PHONY: test
test: requirements
	nosetests

.PHONY: test-all
test-all: requirements
	tox

.PHONY: test-gae
test-gae: requirements
ifndef GAE_PYTHONPATH
	$(error GAE_PYTHONPATH must be set)
endif
	tox -e gae

.PHONY: docs
docs:
	tox -e docs

.PHONY: release
release:
	./release.sh

=== docs/requirements.txt ===
-r ../dev-requirements.txt
ndg-httpsclient
sphinx
alabaster

=== debian/changelog ===
python-urllib3 (1.19.1-1~cloud0) xenial-ocata; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 13 Dec 2016 05:54:21 +0000

python-urllib3 (1.19.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Remove python{,3}-ndg-httpsclient and python{,3}-pyasn1.
    - Add python{,3}-cryptography, python{,3}-idna and python-ipaddress.
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refresh.

 -- Daniele Tricoli <eriol@mornie.org>  Thu, 08 Dec 2016 15:08:04 +0100

=== debian/control ===
--- 
+++ 
@@ -35,9 +35,10 @@
  python-six
 Recommends:
  ca-certificates,
- python-ndg-httpsclient,
- python-openssl,
- python-pyasn1
+ python-cryptography,
+ python-idna,
+ python-ipaddress,
+ python-openssl
 Suggests:
  python-ntlm,
  python-socks
@@ -63,9 +64,9 @@
 Recommends:
  ca-certificates
 Suggests:
- python3-ndg-httpsclient,
+ python3-cryptography,
+ python3-idna,
  python3-openssl,
- python3-pyasn1,
  python3-socks
 Description: HTTP library with thread-safe connection pooling for Python3
  urllib3 supports features left out of urllib and urllib2 libraries.

## python-urllib3 1.21.1

=== debian/changelog ===
python-urllib3 (1.21.1-1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 03 Aug 2017 17:44:32 +0000

python-urllib3 (1.21.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #861642)
  * debian/control
    - Add python-psutil{,3} to Build-Depends.
    - Add version constraint for six. (Closes: #857006)
    - Bump Standards-Version to 4.0.0 (no changes needed).
  * debian/copyright
    - Update copyright years.
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refresh.
  * debian/tests/control
    - Add autodep8 tests. (Closes: #796717)

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 14 Jul 2017 01:21:44 +0200

=== debian/control ===
--- 
+++ 
@@ -10,17 +10,19 @@
  python-coverage (>= 3.6),
  python-mock,
  python-nose (>=1.3.3),
+ python-psutil,
  python-setuptools,
- python-six,
+ python-six (>= 1.10.0),
  python-tornado,
  python3-all,
  python3-coverage (>= 3.6),
  python3-mock,
  python3-nose (>=1.3.3),
+ python3-psutil,
  python3-setuptools,
- python3-six,
+ python3-six (>= 1.10.0),
  python3-tornado
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: http://urllib3.readthedocs.org

=== debian/tests/control ===
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import urllib3; print urllib3" ; done
Depends: python-all, python-urllib3

Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import urllib3; print(urllib3)" ; done
Depends: python3-all, python3-urllib3

## python-urllib3 1.22

=== debian/changelog ===
python-urllib3 (1.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #876334)
  * d/watch
    - Check upstream signature
    - Use https
  * Bump debhelper compat level to 11
  * Standards-Version is 4.1.3 now (no changes needed)
  * Add python{3,}-pytest to B-D
  * Use pytest for unit tests (same as upstream) and skip timing tests
  * Skip test_recent_date test
  * Use autopkgtest-pkg-python testsuite instead of hardcoded one

 -- Ondřej Nový <onovy@debian.org>  Thu, 04 Jan 2018 15:09:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all (>= 2.6.6-3),
  python-coverage (>= 3.6),
  python-mock,
  python-nose (>=1.3.3),
  python-psutil,
+ python-pytest,
  python-setuptools,
  python-six (>= 1.10.0),
  python-tornado,
@@ -19,15 +20,17 @@
  python3-mock,
  python3-nose (>=1.3.3),
  python3-psutil,
+ python3-pytest,
  python3-setuptools,
  python3-six (>= 1.10.0),
  python3-tornado
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: http://urllib3.readthedocs.org
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-urllib3.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-urllib3.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-urllib3
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=urllib3
export PYTHONWARNINGS=d
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=\
	--ignore=test/appengine \
	--ignore=test/with_dummyserver \
	--ignore=test/test_connectionpool.py \
	--ignore=test/contrib/test_socks.py \
	-k-test_recent_date
# Skip timing tests
export TRAVIS=1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_configure:
	rm -f urllib3/packages/six.py

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,\
pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/urllib3/urllib3-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-urllib3 1.24.1

=== debian/changelog ===
python-urllib3 (1.24.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 22 Sep 2019 06:42:20 -0700

python-urllib3 (1.24.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 27 Mar 2019 16:16:48 +0100

python-urllib3 (1.24.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Daniele Tricoli <eriol@debian.org>  Mon, 11 Feb 2019 02:14:53 +0100

python-urllib3 (1.24.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh 01_do-not-use-embedded-python-six.patch.
  * debian/control
    - Update to use my debian.org mail address.
    - Bump Standards-Version to 4.3.0 (no changes needed).
  * debian/copyright
    - Update to use my debian.org mail address.
    - Update copyright years.

 -- Daniele Tricoli <eriol@debian.org>  Thu, 10 Jan 2019 01:16:27 +0100

python-urllib3 (1.24-1) unstable; urgency=medium

  * Upload to unstable. (Closes: #911716)

 -- Daniele Tricoli <eriol@mornie.org>  Thu, 25 Oct 2018 05:01:14 +0200

python-urllib3 (1.24-1~exp1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Daniele Tricoli ]
  * New upstream release.
  * Refresh patches after git-dpm to gbp pq conversion.
  * Add debian/gbp.conf.
  * Refresh patches.
  * debian/clean
    - Update path of urllib3.egg-info.
  * debian/control
    - Require newer dh-python which cleans .pytest_cache directory.
  * debian/copyright
    - Update copyright years.
    - Update Source field to point to new pypi HTTPS URL.
    - Add section for urllib3/contrib/_securetransport.
    - Update paths and remove section about ordered_dict.py.
    - Add section about backported socket.makefile().
  * debian/patches/01_do-not-use-embedded-python-six.patch
    - Refresh and also patch urllib3.contrib.pyopenssl to use the packaged
      version of six. (Closes: #905479)
  * debian/patches/04_relax_nosetests_options.patch
    - Drop since no more used (tests use pytest).
  * debian/rules
    - Ignore tests that require dummyserver or network access.
    - Clean .pytest_cache/ to build twice in a row.
  * debian/upstream/signing-key.asc
    - Remove since upstream will not sign tarballs anymore.
  * debian/watch
    - Remove pgpsigurlmangle since upstream will not sign tarballs anymore.

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 19 Oct 2018 08:42:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: python-urllib3
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Daniele Tricoli <eriol@mornie.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Daniele Tricoli <eriol@debian.org>, Mattia Rizzolo <mattia@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
@@ -24,12 +25,10 @@
  python3-setuptools,
  python3-six (>= 1.10.0),
  python3-tornado
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+Standards-Version: 4.3.0
 Homepage: http://urllib3.readthedocs.org
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-urllib3.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-urllib3.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-urllib3.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-urllib3
 Testsuite: autopkgtest-pkg-python
 
 Package: python-urllib3

## python-urllib3 1.24.1.2

=== debian/changelog ===
python-urllib3 (1.24.1.2-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 62e72ad43039b335ccd0a92083707a93854ec93a']

 -- shuttle <shuttle@deepin.com>  Thu, 05 Nov 2020 12:49:14 +0000
